## org.eclipse.uml2.uml.editor.actions
Class ReferenceMetamodelAction

    java.lang.Object
      org.eclipse.emf.edit.ui.action.CommandAction
          org.eclipse.uml2.uml.editor.actions.UMLCommandAction
              org.eclipse.uml2.uml.editor.actions.ReferenceMetamodelAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IActionDelegate2, org.eclipse.ui.IEditorActionDelegate, org.eclipse.ui.IViewActionDelegate

    public class ReferenceMetamodelAction

extends UMLCommandAction

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.uml2.uml.editor.actions.UMLCommandAction
`UMLCommandAction.RefreshingChangeCommand, UMLCommandAction.TextComparator<T>`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`action, collection, command, editingDomain, editorPart, workbenchPart`

Constructor Summary
`ReferenceMetamodelAction()`

Method Summary
`protected org.eclipse.emf.common.command.Command` `createActionCommand(org.eclipse.emf.edit.domain.EditingDomain editingDomain, java.util.Collection<?> collection)`
`void` `run(org.eclipse.jface.action.IAction action)`

Methods inherited from class org.eclipse.uml2.uml.editor.actions.UMLCommandAction
`getAdapterFactory, getLabelProvider, refreshViewer, setActiveEditor`

Methods inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`dispose, getDefaultImageDescriptor, init, init, objectToImageDescriptor, runWithEvent, selectionChanged, setActiveWorkbenchPart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceMetamodelAction

    public ReferenceMetamodelAction()

Method Detail

### createActionCommand

    protected org.eclipse.emf.common.command.Command createActionCommand(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                                                         java.util.Collection<?> collection)

  Overrides:
    `createActionCommand` in class `org.eclipse.emf.edit.ui.action.CommandAction`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  Overrides:
    `run` in class `org.eclipse.emf.edit.ui.action.CommandAction`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.